Bug 646443 - Replace SETUID in spec file with the correct file capabilities.
Replace SETUID in spec file with the correct file capabilities.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: removesetuid
  Show dependency treegraph
 
Reported: 2010-10-25 08:49 EDT by Daniel Walsh
Modified: 2011-04-05 09:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 646444 646447 646448 646450 646456 646458 646461 646462 646466 646467 646468 646469 646471 646472 646474 646476 646477 646478 646479 646480 646481 646482 646484 646485 646487 646489 646490 646491 646493 646494 646495 (view as bug list)
Environment:
Last Closed: 2010-10-26 08:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2010-10-25 08:49:46 EDT
Description of problem:

Please remove setuid setup of files in your package with file capabilities.

This is to satisfy the F15 feature.

https://fedoraproject.org/wiki/Features/RemoveSETUID

An example of how this was done for X is.


%if 0%{?fedora} < 15
%define Xorgperms %attr(4711, root, root)
%else
%define Xorgperms %attr(0711,root,root) %caps(cap_sys_admin,cap_sys_rawio,cap_dac_override=pe)
%endif
Comment 1 Daniel Walsh 2010-10-26 08:49:56 EDT
Fixed in policycoreutils-2.0.83-32.fc15.x86_64

Note You need to log in before you can comment on or make changes to this bug.